/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_ALA                                                                                                         */
/* Tabela : ALA                                                                                                                 	      */
/*                                                                                                                                                        */
/* Criao:                                                                                                                                          */
/* 28/10/2004 - Rafael dos Santos Lopes                           			                        */
/*                                                                                                                                                        */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_ALA
BEFORE INSERT OR UPDATE OR DELETE
ON ALA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUALA := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMALA,0) <> NVL(:NEW.NMALA,0)) THEN
         :NEW.DTULTATUALA := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ALA', :OLD.CDFILIAL, 'CDALA='||:OLD.CDALA||';CDFILIAL='||:OLD.CDFILIAL||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ALA MODIFY DTULTATUALA DEFAULT SYSDATE
/
